メインコンテンツへスキップ
POST
Kling text-to-video

承認

Authorization
string
header
必須

Authenticate with a Bearer Token. Format: Authorization: Bearer sk-xxxxxx

ボディ

application/json

Video generation request

model
string

Model/style ID

例:

"kling-v1"

prompt
string

Text prompt

例:

"An astronaut stands up and walks away"

image
string

Image input (URL or Base64)

例:

"https://example.com/image.jpg"

duration
number

Video duration in seconds

例:

5

width
integer

Video width

例:

1280

height
integer

Video height

例:

720

fps
integer

Video frame rate

例:

30

seed
integer

Random seed

例:

20231234

n
integer

Number of videos to generate

例:

1

response_format
string

Response format

例:

"url"

user
string

User identifier

例:

"user-1234"

metadata
object

Extended parameters, such as negative_prompt, style, quality_level, and others

レスポンス

Video generation task created successfully

Video generation task submission response

task_id
string

Task ID

例:

"abcd1234efgh"

status
string

Task status

例:

"queued"